package com.yuchen.saas.park.api.entity.pldoor;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.nest.springwrap.core.tenant.mp.TenantEntity;

/**
 * <p>
 * 巡逻告警
 * </p>
 *
 * @author miaoqs
 * @since 2024-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("pl_sp_warning")
@ApiModel(value="PlSpWarning对象", description="巡逻告警")
public class PlSpWarning extends TenantEntity {

    /**
     * ID
     */
    @ApiModelProperty(name = "warningId", value = "ID")
    private String warningId;
    /**
     * 告警名称
     */
    @ApiModelProperty(name = "warningName", value = "告警名称")
    private String warningName;
    /**
     * 告警时间
     */
    @ApiModelProperty(name = "warningTime", value = "告警时间")
    private String warningTime;
    /**
     * 告警等级
     */
    @ApiModelProperty(name = "warningLevel", value = "告警等级")
    private String warningLevel;
    /**
     * 状态 0:待处理;1:已派工;2:已关闭;
     */
    @ApiModelProperty(name = "state", value = "状态 0:待处理;1:已派工;2:已关闭;")
    private String state;
    /**
     * 告警设备
     */
    @ApiModelProperty(name = "warningEquipment", value = "告警设备")
    private String warningEquipment;
    /**
     * 告警位置
     */
    @ApiModelProperty(name = "warningLocation", value = "告警位置")
    private String warningLocation;
    /**
     * 告警内容
     */
    @ApiModelProperty(name = "warningContent", value = "告警内容")
    private String warningContent;
    /**
     * 设备地址
     */
    @ApiModelProperty(name = "deviceAddress", value = "设备地址")
    private String deviceAddress;
    /**
     * 告警照片/视频
     */
    @ApiModelProperty(name = "warningImgUrl", value = "告警照片/视频")
    private String warningImgUrl;
    /**
     * 项目
     */
    @ApiModelProperty(name = "parkId", value = "项目")
    private String parkId;
    /**
     * 关闭时间
     */
    @ApiModelProperty(name = "closeTime", value = "关闭时间")
    private String closeTime;

    public String getWarningId() {
        return warningId;
    }

    public void setWarningId(String warningId) {
        this.warningId = warningId;
    }

    public String getWarningName() {
        return warningName;
    }

    public void setWarningName(String warningName) {
        this.warningName = warningName;
    }

    public String getWarningTime() {
        return warningTime;
    }

    public void setWarningTime(String warningTime) {
        this.warningTime = warningTime;
    }

    public String getWarningLevel() {
        return warningLevel;
    }

    public void setWarningLevel(String warningLevel) {
        this.warningLevel = warningLevel;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getWarningEquipment() {
        return warningEquipment;
    }

    public void setWarningEquipment(String warningEquipment) {
        this.warningEquipment = warningEquipment;
    }

    public String getWarningLocation() {
        return warningLocation;
    }

    public void setWarningLocation(String warningLocation) {
        this.warningLocation = warningLocation;
    }

    public String getWarningContent() {
        return warningContent;
    }

    public void setWarningContent(String warningContent) {
        this.warningContent = warningContent;
    }

    public String getDeviceAddress() {
        return deviceAddress;
    }

    public void setDeviceAddress(String deviceAddress) {
        this.deviceAddress = deviceAddress;
    }

    public String getWarningImgUrl() {
        return warningImgUrl;
    }

    public void setWarningImgUrl(String warningImgUrl) {
        this.warningImgUrl = warningImgUrl;
    }

    public String getParkId() {
        return parkId;
    }

    public void setParkId(String parkId) {
        this.parkId = parkId;
    }

    public String getCloseTime() {
        return closeTime;
    }

    public void setCloseTime(String closeTime) {
        this.closeTime = closeTime;
    }
}
